ladspa-sdk_1.13-2_amd64.deb


Advertisement

Description

ladspa-sdk - sample tools for linux-audio-dev plugin architecture

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name ladspa-sdk
Package version 1.13
Package release 2
Package architecture amd64
Package type deb
Installed size 180 B
Download size 41.37 KB
Official Mirror ftp.br.debian.org
LADSPA is a free standard specification for audio effect plugins.
Contains sample plugins, and analyseplugin, listplugin, applyplugin
programs, and the ladspa.h, the LADSPA specification.
Please build-depend on this package if you need ladspa.h

Alternatives

Package Version Architecture Repository
ladspa-sdk_1.13-2_i386.deb 1.13 i386 Debian Main
ladspa-sdk - - -

Requires

Name Value
libc6 >= 2.4
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.1.1

Provides

Name Value
ladspa-host -
ladspa-plugin -
ladspa-sdk-dev -

Conflicts

Name Value
ladspa-sdk-dev -

Download

Type URL
Binary Package ladspa-sdk_1.13-2_amd64.deb
Source Package ladspa-sdk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ladspa-sdk deb package:
    # sudo apt-get install ladspa-sdk

Files

Path
/usr/bin/analyseplugin
/usr/bin/applyplugin
/usr/bin/listplugins
/usr/include/ladspa.h
/usr/lib/ladspa/amp.so
/usr/lib/ladspa/delay.so
/usr/lib/ladspa/filter.so
/usr/lib/ladspa/noise.so
/usr/lib/ladspa/sine.so
/usr/share/doc-base/ladspa-sdk
/usr/share/doc/ladspa-sdk/README
/usr/share/doc/ladspa-sdk/README.Debian
/usr/share/doc/ladspa-sdk/background.html
/usr/share/doc/ladspa-sdk/changelog.Debian.gz
/usr/share/doc/ladspa-sdk/copyright
/usr/share/doc/ladspa-sdk/download.html
/usr/share/doc/ladspa-sdk/example_plugins.html
/usr/share/doc/ladspa-sdk/index.html
/usr/share/doc/ladspa-sdk/installation.html
/usr/share/doc/ladspa-sdk/ladspa.h.txt
/usr/share/doc/ladspa-sdk/license.html
/usr/share/doc/ladspa-sdk/overview.html
/usr/share/doc/ladspa-sdk/shared_plugins.html
/usr/share/doc/ladspa-sdk/unique_ids.html
/usr/share/man/man1/analyseplugin.1.gz
/usr/share/man/man1/applyplugin.1.gz
/usr/share/man/man1/listplugins.1.gz

Changelog

2013-06-15 - Jaromír Mikeš <mira.mikes@seznam.cz>
ladspa-sdk (1.13-2) unstable; urgency=low
[ Felipe Sateler ]
* Use only 3 digits precision on debian-policy version.
* Add git-buildpackage config file.
* Switch to CDBS.
* Switch to 3.0 (quilt) source format.
* Rework makefile patches.
[ Alessio Treglia ]
* Correct linking order to fix FTBFS with GCC4.5 + binutils-gold.
[ Jaromír Mikeš ]
* Added myself as uploader.
* Added patch fixing include.
* Set dh/compat 9.
* Added .gitignore file.
* Added local-option file.
* Added watch file.
* Fix VCS canonical URLs.
* Fix hardening.
2010-06-29 - Felipe Sateler <fsateler@debian.org>
ladspa-sdk (1.13-1) unstable; urgency=low
* Imported Upstream version 1.13
- No more mismatched free/delete. Closes: #342156, #561560
* Set Debian Multimedia Maintainers as maintainer. Closes: #520269
* Switch from dpatch to quilt
* Drop patch 03_gcc41, not needed anymore
* Switch to debhelper compat level 7
* Split the debian patch into logical changes
* Add misc:Depends to Depends line
* Build-Depend on debhelper >= 7
* Bump standards version, no changes needed
* Note use of quilt for patches
* Fix build error with git-buildpackage
* Fix doc-base section
* Remove extra whitespace
* Remove useless dir file
* Add Vcs-* fields
* Drop versioned build-depends on g++, required version in oldstable
* Fix linkage of C plugins
* Clarify copyright.
* Explicitly use 1.0 source format
* Add homepage field
2007-05-06 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-6) unstable; urgency=low
* wrong symlink installed, install a better symlink for ladspa.h.txt.
2007-05-06 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-5) unstable; urgency=low
* Bug fix: "ladspa-sdk: Broken link in documentation", thanks to Reuben
Thomas (Closes: #422377).
Install ladspa.h.txt
* add pbuilder-test.
2006-05-27 - Martin Michlmayr <tbm@cyrius.com>
ladspa-sdk (1.1-4.1) unstable; urgency=low
* NMU as part of the GCC 4.1 transition.
* patches/03_gcc41.dpatch: add patch from Ben Hutchings to declare friend
functions (closes: #355989)
2005-09-15 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-4) unstable; urgency=low
* m68k ICE workaround; reduce optimization to -O2 from -O3
02_m68k_workaround.dpatch (closes: #328285)
2005-08-20 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-3) unstable; urgency=low
* recompile with gcc-4.0
- only plugins are affected, does not really affect packages Build-Depending on this package.
* standards-version 3.6.2
* use dpatch to maintain Debian patch.
- 01_debian-patch: the Debian patch.
2003-07-03 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-2) unstable; urgency=low
* recompile with gcc-3.3
* update debian/copyright
* update standards-version
* link plugins against libc and other necessary libs.
2002-09-09 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.1-1) unstable; urgency=low
* New upstream release 
* forward-port local hack to check /usr/lib/ladspa even if env variable is
not set
2001-08-08 - Junichi Uekawa <dancer@debian.org>
ladspa-sdk (1.0.LGPL-7) unstable; urgency=low
* fixed manpage. - is escaped with a backslash.
* fixing the control dependency wrt ladspa-sdk-dev

See Also

Package Description
ladvd_0.9.2-2_amd64.deb minimal LLDP/CDP sender
lakai_0.1-1_amd64.deb transfers samples between a PC and an AKAI sampler
lam-mpidoc_7.1.4-3.1_all.deb Documentation for the Message Passing Interface standard
lam-runtime_7.1.4-3.1_amd64.deb LAM runtime environment for executing parallel programs
lam4-dev_7.1.4-3.1_amd64.deb Development of parallel programs using LAM
lambdabot_4.3.0.1-1_amd64.deb Development tool and advanced IRC bot
lame-doc_3.99.5+repack1-7+deb8u2_all.deb MP3 encoding library (documentation)
lame_3.99.5+repack1-7+deb8u2_amd64.deb MP3 encoding library (frontend)
lammps-doc_0~20140523.gite5e877d-1_all.deb Molecular Dynamics Simulator. Documentation and examples
lammps_0~20140523.gite5e877d-1+b2_amd64.deb Molecular Dynamics Simulator
langdrill_0.3-7_amd64.deb language drills to test vocabulary
langford-dkms_0.0.20130228-3_all.deb Kernel drivers for the Per Vices Noctar IQ demodulator board
langford-utils_0.0.20130228-3_amd64.deb Control programs for the Per Vices Noctar IQ demodulator board
laptop-detect_0.13.7_amd64.deb attempt to detect a laptop
laptop-mode-tools_1.66-2_all.deb Tools for Power Savings based on battery/AC status
Advertisement
Advertisement